Debian Bug report logs - #692159
ITP: pybit -- integrated cross-platform buildd toolkit using queued messages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Neil Williams <codehelp@debian.org>

Date: Fri, 2 Nov 2012 19:21:02 UTC

Owned by: Neil Williams <codehelp@debian.org>

Severity: wishlist

Fixed in version pybit/0.4.0-1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, codehelp@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#692159; Package wnpp. (Fri, 02 Nov 2012 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to codehelp@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 02 Nov 2012 19:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pybit -- integrated cross-platform buildd toolkit using queued messages
Date: Fri, 02 Nov 2012 19:20:10 +0000
Package: wnpp
Severity: wishlist
Owner: Neil Williams <codehelp@debian.org>

* Package name    : pybit
  Version         : 0.1.0-1
  Upstream Authors: Nick Davidson <nickd@toby-churchill.com>,
                    Simon Haswell <simonh@toby-churchill.com>,
                    Neil Williams <neilw@toby-churchill.com>,
                    Nick Bane <nick@cecomputing.co.uk>,
                    James Bennet <James.Bennet@toby-churchill.com>
* URL             : https://github.com/nicholasdavidson/pybit
* License         : GPL2+
  Programming Lang: Python
  Description     : cross-platform buildd toolkit based on message queues

pyBit uses AMQP to create a distributed, cross-platform buildd toolkit
to build packages using a collection of buildds, direct from various 
VCS clients. pyBit is intended to support rapidly evolving software
collections and can support multiple VCS frontends and multiple build
backends. Cross building is expected to be supported for some backends.
The initial backend uses dpkg for Debian.

pyBit includes support for cancelling selected builds and using multiple
buildd clients per architecture, per platform and per suite.

Hooks are in development for subversion and git, other VCS hooks can
be added. A RESTful web API provides live build reports and can generate
build jobs for specific packages using particular VCS branches on
selected architectures to support re-building packages at any point
in the development process. Build history is stored using postgresql.

Initial packages:
pybit-svn - svn post-commit hook
pybit-client - buildd client (uses sbuild for Debian)
pybit-web - RESTful web API and report engine
pybit-common - common python code for each package.

Current dependencies:
rabbitmq-server, python-requests, python-psycopg2 (>= 2.4.2-1~),
python-amqplib, python-debian, python-jsonpickle.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 04 Dec 2012 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Fri, 14 Dec 2012 23:03:22 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Fri, 14 Dec 2012 23:03:23 GMT) Full text and rfc822 format available.

Message #12 received at 692159-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 692159-close@bugs.debian.org
Subject: Bug#692159: fixed in pybit 0.4.0-1
Date: Fri, 14 Dec 2012 23:00:25 +0000
Source: pybit
Source-Version: 0.4.0-1

We believe that the bug you reported is fixed in the latest version of
pybit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692159@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated pybit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 14 Dec 2012 12:28:50 +0000
Source: pybit
Binary: pybit-svn pybit-client pybit-web pybit-common pybit-watcher
Architecture: source all
Version: 0.4.0-1
Distribution: experimental
Urgency: low
Maintainer: Neil Williams <codehelp@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 pybit-client - buildd client support for Pybit
 pybit-common - Common objects for pybit
 pybit-svn  - Subversion post commit hook for pybit
 pybit-watcher - watches incoming directories for reprepro
 pybit-web  - pybit web frontend
Closes: 692159
Changes: 
 pybit (0.4.0-1) experimental; urgency=low
 .
   * New upstream release to include plugin client support.
 .
 pybit (0.3.0-1) experimental; urgency=low
 .
   * Initial release. (Closes: #692159: ITP: pybit -- integrated cross-
     platform buildd toolkit using queued messages)
   * Target experimental for first upload.
Checksums-Sha1: 
 1ca517ffa2c7d417b77c5c9d87eb9fe31a50a6d5 2316 pybit_0.4.0-1.dsc
 76cb5b87db1e8268e8d79c950ab43c5ad0939438 181919 pybit_0.4.0.orig.tar.gz
 3f65acd11d68d92c4ac37fa78d2de321c972dddb 23697 pybit_0.4.0-1.debian.tar.gz
 9749dd6bcc3aeef6230835f53a6a6e4c9ce6144d 7690 pybit-svn_0.4.0-1_all.deb
 0b24a6f38e25dc2ad590b25ebe89a0e267bd04da 29786 pybit-client_0.4.0-1_all.deb
 425852a43aee8ac51442d7b552c1f24779785f57 166772 pybit-web_0.4.0-1_all.deb
 15756a34058a873e62f61df294f08f44fa09342b 10708 pybit-common_0.4.0-1_all.deb
 baa12b6971aa7408467750863a068d0ebb6f0403 11680 pybit-watcher_0.4.0-1_all.deb
Checksums-Sha256: 
 df700fd168c130d4ec5bca3622895da5b6f835c6fd063437289587e634303805 2316 pybit_0.4.0-1.dsc
 54e45936e7580dec53a4a04135cfc7bfc8285270f3aedb453114d23b705b1c67 181919 pybit_0.4.0.orig.tar.gz
 b94ec081cfbd3b3500f2a59a19fcc8b03ed44f86b4c49df80bcc6026429c49b6 23697 pybit_0.4.0-1.debian.tar.gz
 827042e31ae41d1ac38005f0f28d76b121d559a8e7935d7d2023a484c313f9ab 7690 pybit-svn_0.4.0-1_all.deb
 18f2989ad8827d326f48f87dffd5f25280e32db40fd6cb5a75e829e2c1c62e0a 29786 pybit-client_0.4.0-1_all.deb
 e458fa00054bfe5fa6b74ef683513999e236a49b72bd5e58a7bb806bf411b0c5 166772 pybit-web_0.4.0-1_all.deb
 d1c191343455d9d0216ac7705e9890a346839233473fcbe18d6b04ecc64b3d6b 10708 pybit-common_0.4.0-1_all.deb
 e25d15153bf4c3117fe8e3f4de55b95aa4175681f7192acab737d7c8fe90b464 11680 pybit-watcher_0.4.0-1_all.deb
Files: 
 82e3ad193d08f0cda92808a2bb5985ec 2316 devel extra pybit_0.4.0-1.dsc
 383aacca53cb8720396e340883a48249 181919 devel extra pybit_0.4.0.orig.tar.gz
 6936f0884f3e9886e92b783313c264db 23697 devel extra pybit_0.4.0-1.debian.tar.gz
 0da6ef6571021958757c939c4ec75ffc 7690 devel extra pybit-svn_0.4.0-1_all.deb
 3a6aaf706997460c195d835f8e2ab945 29786 devel extra pybit-client_0.4.0-1_all.deb
 55f56b85d9a2d95485a0b0941894360a 166772 devel extra pybit-web_0.4.0-1_all.deb
 dcad7df4abc3749255dae59613f6208a 10708 devel extra pybit-common_0.4.0-1_all.deb
 fd7c8e062b7b279d5c0a23a3ad7a4d2b 11680 devel extra pybit-watcher_0.4.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQy23oAAoJEPFn5DyBQ7aCrXIQAJxarHtJxM9ABujO/GKhv8rk
AluYV7op8lDFE8zMOTMhnp/EaG+0VqaclFPerqsrVIgd51I+z5rM+pUzNNpZ1fVb
8cbiJJxSAsMpHWCtjKnQqe6AJv6eIfrT4bcJF2+znWSMHlqOBEu7yCVoXNjMEiU+
E+Asc2EbMtIfNfMSbnpM5mi9lkOoM9HhECdLVptwNEHKyVpxayC+BWOLhs4p+Fq5
hRPzl1EutLkV2HOIUVzri26QoX6kI9ur4DElyfXT9aw98kkotBXzdD6SORwiAx2i
8/ka+ln2r6R6Xa1AofE2aFtx6JX82QDkDi2OkIZD4XTKnLjFNQ+HXn+m07dnTeEi
xorN4iCH//JmdMpVasudg1ryIcSNFyhrXJyXSqmpUxbQZ5DGglS/FtpkjEOoPoj2
2ttIPCiJPSkF3WYkwQhlk5sTlj52OyFZp0PmORjDvo6c85kPs8oxn3qb5sOQ19qq
vxubvVuh6jQRd932pxl3wxkIwP1UmtBnmz8OA1bO00RY76qsTF2EheBTR5pnZkZO
L5N3l6qKDlFDRgumLVszaiEgsv9aUxjwK5j5gsH2K4KzFqVO5Mp9ZaL+SwUSMbXB
V3EW3FoK9PJWFLAEY0TQ6V9WPhnLkhIkal8/sggRpicqKBbtCNiqcME9553i5NQE
jFhrtYU4zWeTQyZztrt/
=s6V7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Jan 2013 07:26:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:08:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.